## x11rdp 7.6

=== xrdp/tests/tcp_proxy/Makefile ===
CFLAGS = -O2 -Wall -I../../common
LDFLAGS = -Wl
OBJS = main.o ../../common/os_calls.o
LIBS = -ldl

all: tcp_proxy

tcp_proxy: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o tcp_proxy $(OBJS) $(LIBS)

.PHONY clean:
	rm -f $(OBJS) tcp_proxy

=== xrdp/xorg/server/Makefile ===

all: allmake

allmake:
	cd module; $(MAKE) $(MFLAGS)
	cd xrdpdev; $(MAKE) $(MFLAGS)
	cd xrdpkeyb; $(MAKE) $(MFLAGS)
	cd xrdpmouse; $(MAKE) $(MFLAGS)

clean: allclean

allclean:
	cd module; $(MAKE) clean
	cd xrdpdev; $(MAKE) clean
	cd xrdpkeyb; $(MAKE) clean
	cd xrdpmouse; $(MAKE) clean

=== xrdp/sesman/chansrv/pulse/Makefile ===


#PULSE_DIR=/home/jay/temp/pulseaudio-0.9.21
#PULSE_DIR=/home/jay/pulseaudio-0.9.22
#PULSE_DIR=/home/jay/pulseaudio-0.9.21
PULSE_DIR=/home/jay/pulseaudio-2.0

OBJS = module-xrdp-sink.o

CFLAGS = -Wall -O2 -I$(PULSE_DIR) -I$(PULSE_DIR)/src -DHAVE_CONFIG_H -fPIC

all: module-xrdp-sink.so

module-xrdp-sink.so: $(OBJS)
	$(CC) $(LDFLAGS) -shared -o module-xrdp-sink.so $(OBJS)

clean:
	rm -f $(OBJS) module-xrdp-sink.so

=== xrdp/xorg/X11R7.6/rdp/Makefile ===

#X11RDPBASE is an environment variable that needs to be set

INCBASE = $(X11RDPBASE)/include
LIBBASE = $(X11RDPBASE)/lib

INSTALL = /usr/bin/install -c
XSRCBASE = ../build_dir/xorg-server-1.9.3

OBJS = rdpmain.o rdpdraw.o rdpinput.o rdpmisc.o rdpup.o rdprandr.o \
rdpCopyArea.o rdpPolyFillRect.o rdpPutImage.o rdpPolyRectangle.o \
rdpPolylines.o rdpPolySegment.o rdpFillSpans.o rdpSetSpans.o \
rdpCopyPlane.o rdpPolyPoint.o rdpPolyArc.o rdpFillPolygon.o \
rdpPolyFillArc.o rdpPolyText8.o rdpPolyText16.o \
rdpImageText8.o rdpImageText16.o rdpImageGlyphBlt.o rdpPolyGlyphBlt.o \
rdpPushPixels.o rdpxv.o \
miinitext.o \
fbcmap_mi.o

# in Xorg 7.1, fbcmap.c was used but now it looks like fbcmap_mi.c should
# be used
#fbcmap_mi.o
#fbcmap.o

LIBS = $(XSRCBASE)/dbe/.libs/libdbe.a \
	$(XSRCBASE)/dix/.libs/libdix.a \
	$(XSRCBASE)/dix/.libs/libmain.a \
	$(XSRCBASE)/fb/.libs/libfb.a \
	$(XSRCBASE)/mi/.libs/libmi.a \
	$(XSRCBASE)/os/.libs/libos.a \
	$(XSRCBASE)/randr/.libs/librandr.a \
	$(XSRCBASE)/record/.libs/librecord.a \
	$(XSRCBASE)/render/.libs/librender.a \
	$(XSRCBASE)/xkb/.libs/libxkb.a \
	$(XSRCBASE)/Xext/.libs/libXext.a \
	$(XSRCBASE)/Xi/.libs/libXi.a \
	$(XSRCBASE)/glx/.libs/libglx.a \
	$(XSRCBASE)/xfixes/.libs/libxfixes.a \
	$(XSRCBASE)/damageext/.libs/libdamageext.a \
	$(XSRCBASE)/miext/damage/.libs/libdamage.a \
	librdp.a

LLIBS = -Wl,-rpath=$(LIBBASE) -lfreetype -lz -lm -lXfont -lXau \
	-lXdmcp -lpixman-1 -lrt -ldl -lcrypto -lGL -lXdamage

CFLAGS = -O2 -Wall -fno-strength-reduce \
	-I../../include \
	-I../../cfb \
	-I../../mfb \
	-I../../mi \
	-I$(INCBASE) \
	-I$(INCBASE)/X11 \
	-I$(INCBASE)/X11/fonts \
	-I$(INCBASE)/X11/extensions \
	-I$(INCBASE)/xorg \
	-I$(INCBASE)/pixman-1 \
	-I../../os \
	-I../../render \
	-I../xfree86/common \
	-I../xfree86/os-support \
	-I../../../common \
	-D_POSIX_C_SOURCE=199309L -D_SVID_SOURCE -D_REENTRANT \
	-DGLX_USE_MESA -DXRECORD -D_GNU_SOURCE -DXAPPGROUP \
	-DTOGCUP -DSINGLEDEPTH -DXFree86Server \
	-DDBE -DEVI -DXVMC -DFONTCACHE -DGCCUSESGAS -DSTATIC_COLOR \
	-DAVOID_GLYPHBLT -DFUNCPROTO=15 -DNARROWPROTO -DDDXOSFATALERROR \
	-DPART_NET -DDDXTIME -D_HAVE_XALLOC_DECLS \
	-DDAMAGE \
	-DXFIXES \
	-DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR \
	-DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER \
	-DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX \
	-DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension \
	-DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT -DXKB -DXINPUT

#-DDAMAGE

# -pedantic
# -DXCSECURITY -DXF86BIGFONT

# these are defined in xorg-server.h
# -D_XOPEN_SOURCE=500L
# -DX_BYTE_ORDER=X_LITTLE_ENDIAN
# -DSMART_SCHEDULE -DSERVER_LOCK -DGLXEXT -DSHAPE -DRENDER -DRANDR
# -DBIGREQS -D_POSIX_SOURCE -D_BSD_SOURCE -DSCREENSAVER -DXF86BIGFONT
# -DXCMISC -DXTEST -DXTRAP -DXV -DXSYNC -DMITMISC -DPANORAMIX
# -DDPMSExtension -DXvExtension -DXvMCExtension -DXResExtension
# -DMITSHM -DPIXPRIV -DNDEBUG -DDDXOSINIT

# these are not needed I think
# -Dlinux -D__i386__

LDFLAGS = -L$(LIBBASE) -Wl,-rpath,$(LIBBASE)

all: X11rdp

X11rdp: $(OBJS)
	$(AR) rvu librdp.a $(OBJS)
	ranlib librdp.a
	$(CC) $(LDFLAGS) -o X11rdp $(LIBS) $(LIBS) $(LLIBS)

clean:
	rm -f $(OBJS) librdp.a

miinitext.o: ../build_dir/xorg-server-1.9.3/mi/miinitext.c Makefile
	$(CC) $(CFLAGS) -I../build_dir/xorg-server-1.9.3/Xext -c ../build_dir/xorg-server-1.9.3/mi/miinitext.c

fbcmap.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap.c

fbcmap_mi.o: ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c
	$(CC) $(CFLAGS) -c ../build_dir/xorg-server-1.9.3/fb/fbcmap_mi.c

install: all
	$(INSTALL) X11rdp $(X11RDPBASE)/bin/X11rdp

=== xrdp/xorg/server/module/Makefile ===

OBJS = rdpDraw.o rdpPri.o rdpGC.o rdpFillSpans.o rdpSetSpans.o rdpPutImage.o \
rdpCopyArea.o rdpCopyPlane.o rdpPolyPoint.o rdpPolylines.o rdpPolySegment.o \
rdpPolyRectangle.o rdpPolyArc.o rdpFillPolygon.o rdpPolyFillRect.o \
rdpPolyFillArc.o rdpPolyText8.o rdpPolyText16.o rdpImageText8.o \
rdpImageText16.o rdpImageGlyphBlt.o rdpPolyGlyphBlt.o rdpPushPixels.o \
rdpCursor.o rdpMain.o rdpRandR.o rdpMisc.o rdpReg.o \
rdpComposite.o rdpGlyphs.o

CFLAGS = -g -O2 -Wall -fPIC -I/usr/include/xorg -I/usr/include/pixman-1

LDFLAGS =

LIBS =

all: libxorgxrdp.so

libxorgxrdp.so: $(OBJS) Makefile
	$(CC) -shared -o libxorgxrdp.so $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) libxorgxrdp.so

=== xrdp/xorg/server/xrdpdev/Makefile ===

OBJS = xrdpdev.o

CFLAGS = -g -O2 -Wall -fPIC -I/usr/include/xorg -I/usr/include/pixman-1 -I../module

LDFLAGS =

LIBS =

all: xrdpdev_drv.so

xrdpdev_drv.so: $(OBJS) Makefile
	$(CC) -shared -o xrdpdev_drv.so $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) xrdpdev_drv.so

=== xrdp/xorg/server/xrdpkeyb/Makefile ===

OBJS = rdpKeyboard.o

CFLAGS = -g -O2 -Wall -fPIC -I/usr/include/xorg -I/usr/include/pixman-1 -I../module

LDFLAGS =

LIBS =

all: xrdpkeyb_drv.so

xrdpkeyb_drv.so: $(OBJS) Makefile
	$(CC) -shared -o xrdpkeyb_drv.so $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) xrdpkeyb_drv.so

=== xrdp/xorg/server/xrdpmouse/Makefile ===

OBJS = rdpMouse.o

CFLAGS = -g -O2 -Wall -fPIC -I/usr/include/xorg -I/usr/include/pixman-1 -I../module

LDFLAGS =

LIBS =

all: xrdpmouse_drv.so

xrdpmouse_drv.so: $(OBJS) Makefile
	$(CC) -shared -o xrdpmouse_drv.so $(LDFLAGS) $(OBJS) $(LIBS)

clean:
	rm -f $(OBJS) xrdpmouse_drv.so

=== debian/changelog ===
x11rdp (7.6) unstable; urgency=low

  * Initial Release.

 -- Micha Krause <micha@noris.net>  Thu, 01 Aug 2013 17:44:07 +0200

=== debian/control ===
Source: x11rdp
Section: net
Priority: extra
Maintainer: Micha Krause <micha@noris.net>
Build-Depends: debhelper (>= 8.0.0), xsltproc, libxfixes-dev, libssl-dev, libpam0g-dev, zlib1g-dev, libtool, libx11-dev, libxfixes-dev, pkg-config, flex, bison, libxml2-dev, intltool, xsltproc, xutils-dev, python-libxml2, g++, xutils, libfuse-dev
Standards-Version: 3.9.3
Homepage: https://github.com/FreeRDP/xrdp/tree/master/xorg/X11R7.6
#Vcs-Git: git://git.debian.org/collab-maint/x11rdp.git
#Vcs-Browser: http://git.debian.org/?p=collab-maint/x11rdp.git;a=summary

Package: x11rdp
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}, libxfont1
Description: x11 variante fuer xrdp

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

clean:
	sudo rm -rf xrdp/xorg/X11R7.6/build_dir/ xrdp/xorg/X11R7.6/cookies/ xrdp/xorg/X11R7.6/rdp/X11rdp xrdp/xorg/X11R7.6/rdp/librdp.a
	sudo rm -rf /opt/X11rdp
	rm -rf debian/x11rdp/*
	cd xrdp/xorg/X11R7.6 ; ./buildx.sh clean

build:
	cd xrdp/xorg/X11R7.6 ; sudo ./buildx.sh /opt/X11rdp

install:
	mkdir -p debian/x11rdp/usr/bin
	mkdir -p debian/x11rdp/opt
	sudo cp -r /opt/X11rdp debian/x11rdp/opt/
	sudo chgrp admin debian/x11rdp -R
	sudo chmod g+rw debian/x11rdp -R
	cd debian/x11rdp/usr/bin ; ln -s ../../opt/X11rdp/bin/X11rdp ./

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installlogrotate
	dh_installcron
	dh_installman
	dh_link
	dh_fixperms
	dh_compress
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch
